Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.ioc.internal.services
Class AnnotationMemberValueVisitor

    java.lang.Object
      org.apache.tapestry5.ioc.internal.services.AnnotationMemberValueVisitor

All Implemented Interfaces:
  javassist.bytecode.annotation.MemberValueVisitor

    public class AnnotationMemberValueVisitor

extends java.lang.Object
implements javassist.bytecode.annotation.MemberValueVisitor

Constructor Summary
`AnnotationMemberValueVisitor(javassist.bytecode.ConstPool constPool, CtClassSource classSource, java.lang.Object value)`

Method Summary
`void` | `visitAnnotationMemberValue(javassist.bytecode.annotation.AnnotationMemberValue mb)`
`void` | `visitArrayMemberValue(javassist.bytecode.annotation.ArrayMemberValue mb)`
`void` | `visitBooleanMemberValue(javassist.bytecode.annotation.BooleanMemberValue mb)`
`void` | `visitByteMemberValue(javassist.bytecode.annotation.ByteMemberValue mb)`
`void` | `visitCharMemberValue(javassist.bytecode.annotation.CharMemberValue mb)`
`void` | `visitClassMemberValue(javassist.bytecode.annotation.ClassMemberValue mb)`
`void` | `visitDoubleMemberValue(javassist.bytecode.annotation.DoubleMemberValue mb)`
`void` | `visitEnumMemberValue(javassist.bytecode.annotation.EnumMemberValue mb)`
`void` | `visitFloatMemberValue(javassist.bytecode.annotation.FloatMemberValue mb)`
`void` | `visitIntegerMemberValue(javassist.bytecode.annotation.IntegerMemberValue mb)`
`void` | `visitLongMemberValue(javassist.bytecode.annotation.LongMemberValue mb)`
`void` | `visitShortMemberValue(javassist.bytecode.annotation.ShortMemberValue mb)`
`void` | `visitStringMemberValue(javassist.bytecode.annotation.StringMemberValue mb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationMemberValueVisitor

    public AnnotationMemberValueVisitor(javassist.bytecode.ConstPool constPool,
                                        CtClassSource classSource,
                                        java.lang.Object value)

Method Detail

### visitAnnotationMemberValue

    public void visitAnnotationMemberValue(javassist.bytecode.annotation.AnnotationMemberValue mb)

  Specified by:
    `visitAnnotationMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitArrayMemberValue

    public void visitArrayMemberValue(javassist.bytecode.annotation.ArrayMemberValue mb)

  Specified by:
    `visitArrayMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitBooleanMemberValue

    public void visitBooleanMemberValue(javassist.bytecode.annotation.BooleanMemberValue mb)

  Specified by:
    `visitBooleanMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitByteMemberValue

    public void visitByteMemberValue(javassist.bytecode.annotation.ByteMemberValue mb)

  Specified by:
    `visitByteMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitCharMemberValue

    public void visitCharMemberValue(javassist.bytecode.annotation.CharMemberValue mb)

  Specified by:
    `visitCharMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitDoubleMemberValue

    public void visitDoubleMemberValue(javassist.bytecode.annotation.DoubleMemberValue mb)

  Specified by:
    `visitDoubleMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitEnumMemberValue

    public void visitEnumMemberValue(javassist.bytecode.annotation.EnumMemberValue mb)

  Specified by:
    `visitEnumMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitFloatMemberValue

    public void visitFloatMemberValue(javassist.bytecode.annotation.FloatMemberValue mb)

  Specified by:
    `visitFloatMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitIntegerMemberValue

    public void visitIntegerMemberValue(javassist.bytecode.annotation.IntegerMemberValue mb)

  Specified by:
    `visitIntegerMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitLongMemberValue

    public void visitLongMemberValue(javassist.bytecode.annotation.LongMemberValue mb)

  Specified by:
    `visitLongMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitShortMemberValue

    public void visitShortMemberValue(javassist.bytecode.annotation.ShortMemberValue mb)

  Specified by:
    `visitShortMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitStringMemberValue

    public void visitStringMemberValue(javassist.bytecode.annotation.StringMemberValue mb)

  Specified by:
    `visitStringMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

### visitClassMemberValue

    public void visitClassMemberValue(javassist.bytecode.annotation.ClassMemberValue mb)

  Specified by:
    `visitClassMemberValue` in interface `javassist.bytecode.annotation.MemberValueVisitor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.